MyDrive app compatibility

Click here to see which products/categories this applies to.

iOS

The latest version of the MyDrive app for iOS requires iOS 8.0 or higher.
You can download the MyDrive app from the App Store.

Android

The latest version of the MyDrive app for Android requires Android 3.0* or higher.
You can download the MyDrive app from the Google Play Store.

*To use the Smartphone Messages feature on the latest TomTom GO devices (GO 520/620/5200/6200), the MyDrive app requires Android 5.0 or higher.

How satisfied are you with this answer?
Your rating has been submitted; please tell us how we can make this answer more useful.

dialogue Are you planning on looking for further support after reading this answer?

Total Votes: